%define pypi_name passlib

Name:		python-%{pypi_name}
Version:	1.7.4
Release:	%mkrel 5
Summary:	Comprehensive password hashing framework supporting over 20 schemes
Group:		Development/Python

License:	BSD and Beerware and Copyright only
URL:		https://pypi.org/project/passlib/
Source0:	%{pypi_source}

BuildArch:	noarch
BuildRequires:  python3-devel

%description
Passlib is a password hashing library for Python 2 & 3, which provides
cross-platform implementations of over 20 password hashing algorithms,
as well as a framework for managing existing password hashes. It's
designed to be useful for a wide range of tasks, from verifying a hash
found in /etc/shadow, to providing full-strength password hashing for
multi-user application.

%package -n python3-%{pypi_name}
Summary:	%{summary}
Group:		Development/Python
%{?python_provide:%python_provide python3-passlib}

%description -n python3-passlib
Passlib is a password hashing library for Python 2 & 3, which provides
cross-platform implementations of over 20 password hashing algorithms,
as well as a framework for managing existing password hashes. It's
designed to be useful for a wide range of tasks, from verifying a hash
found in /etc/shadow, to providing full-strength password hashing for
multi-user application.


%prep
%setup -q -n passlib-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files passlib


%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc LICENSE README


%changelog
* Wed Dec 13 2023 papoteur <papoteur> 1.7.4-5.mga10
+ Revision: 2017761
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.7.4-4.mga9
+ Revision: 1823116
- Mageia 9 Mass Rebuild

* Sat Feb 19 2022 joequant <joequant> 1.7.4-3.mga9
+ Revision: 1781418
- update to python 3.10

* Tue Mar 23 2021 guillomovitch <guillomovitch> 1.7.4-2.mga9
+ Revision: 1708483
- rebuild for python 3.9

* Mon Mar 01 2021 daviddavid <daviddavid> 1.7.4-1.mga9
+ Revision: 1695067
- new version: 1.7.4

* Thu Feb 20 2020 umeabot <umeabot> 1.7.2-2.mga8
+ Revision: 1545313
- Mageia 8 Mass Rebuild

* Tue Jan 28 2020 daviddavid <daviddavid> 1.7.2-1.mga8
+ Revision: 1484633
- new version: 1.7.2

* Mon Sep 16 2019 daviddavid <daviddavid> 1.7.1-2.mga8
+ Revision: 1441850
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 1.7.1-1.mga7
+ Revision: 1353688
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.6.5-4.mga7
+ Revision: 1289646
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.6.5-3.mga7
+ Revision: 1135539
- Rebuild for python 3.6

* Fri Feb 19 2016 umeabot <umeabot> 1.6.5-2.mga6
+ Revision: 970726
- Mageia 6 Mass Rebuild

* Fri Oct 09 2015 daviddavid <daviddavid> 1.6.5-1.mga6
+ Revision: 888064
- new version: 1.6.5
- update doc file list

* Fri Oct 09 2015 daviddavid <daviddavid> 1.6.1-8.mga6
+ Revision: 888059
- rebuild for python 3.5
- use new python macros

* Wed Oct 15 2014 umeabot <umeabot> 1.6.1-7.mga5
+ Revision: 744147
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.6.1-6.mga5
+ Revision: 729310
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.6.1-5.mga5
+ Revision: 688204
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 1.6.1-4.mga5
+ Revision: 628871
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 1.6.1-3.mga4
+ Revision: 543863
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 1.6.1-2.mga4
+ Revision: 499088
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 14 2013 philippem <philippem> 1.6.1-1.mga4
+ Revision: 497519
- Update to 1.6.1
- add Python 3

* Sun Jan 13 2013 umeabot <umeabot> 1.5.3-4.mga3
+ Revision: 379241
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 neoclust <neoclust> 1.5.3-3.mga3
+ Revision: 314239
- imported package python-passlib


* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Oct 17 2011 Matt Domsch <Matt_Domsch@dell.com> - 1.5.3-1
- initial release for Fedora
